io.undertow.server.handlers.resource

## Class DirectoryUtils

- java.lang.Object
- - io.undertow.server.handlers.resource.DirectoryUtils

    public class DirectoryUtils
    extends Object

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `DirectoryUtils.Blobs` Constant Content

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `renderDirectoryListing(HttpServerExchange exchange, Resource resource)`
`static StringBuilder` `renderDirectoryListing(String path, Resource resource)`
`static boolean` `sendRequestedBlobs(HttpServerExchange exchange)` Serve static resource for the directory listing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### sendRequestedBlobs

    public static boolean sendRequestedBlobs(HttpServerExchange exchange)

Serve static resource for the directory listing

Parameters:
  `exchange` - The exchange
Returns:
  true if resources were served

#### renderDirectoryListing

    public static StringBuilder renderDirectoryListing(String path,
                                                       Resource resource)

#### renderDirectoryListing

    public static void renderDirectoryListing(HttpServerExchange exchange,
                                              Resource resource)